Where are the tutorials on how to set up AnyRegion Changer?

Discussion in 'Wii - Hacking' started by I obviously need, Apr 1, 2011.

  1. I obviously need
    OP

    Newcomer I obviously need Advanced Member

    Joined:
    Apr 24, 2010
    Messages:
    51
    Country:
    United States
    So, I downloaded the compressed file of AnyRegion Changer from here, then I was left with the question on how to set it up (the developer didn't leave instructions... effing jerk). So I Google all of the keywords... but not a single web page within the first 10 pages tells me how to set it up. So now I am left in the dark unless somebody kind enough to list the steps involved on how to get it working posts it here. I have Homebrew Channel already set up and an "apps" folder on my SD card. What do I do from there?
     
  2. I obviously need
    OP

    Newcomer I obviously need Advanced Member

    Joined:
    Apr 24, 2010
    Messages:
    51
    Country:
    United States
    Oh, and some additional information-

    1. This is a Japanese Wii with version 3.1J

    2. I only want to use the AnyRegion Changer program to change the menu language to English instead of having to navigate through Japanese text.

    3. Imports will be played using Gecko OS. I will also be playing PAL games, so is there any television frequency setting that I need to know about?


    Thanks in advance.
     
  3. mauifrog

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    You need a patched ios to run that app, ios36 with all patches will do the trick. Then, first install priiloader. Once you have priiloader installed you can load any region changer and make any changes to the settings you like. If you do a full region change from any region changer, installing a new system menu, this will remove priiloader, in this case you should exit ARC to the HBC and reinstall priiloader.

    Note: The system menu does not support all languages, setting to a language that is not supported will prevent the system menu from loading. Priiloader would still function.

    You should be fine setting the language to English on a Jap menu.


    Also, if you can install bootmii as boot2, you should do that, and make a nand backup regardless of bootmii version boot2/ios.
     
  4. I obviously need
    OP

    Newcomer I obviously need Advanced Member

    Joined:
    Apr 24, 2010
    Messages:
    51
    Country:
    United States
    Sounds like a lot of work. I guess I'll just have to make do with all the Japanese text :/
     
  5. So Solid Jedi

    Newcomer So Solid Jedi Member

    Joined:
    Jul 16, 2007
    Messages:
    28
    Location:
    London, UK
    Country:
    United Kingdom
    Sorry for bumping an old thread, i just thought i'd post on here instead of making a new thread altogether as my problem is related. I have a PAL Wii with a WiiKey 2 modchip installed via a W-Clip. The PAL Wii is on 4.0E system menu. I have HBC installed and Bootmii installed as both ios and Boot 2v3 and have made quite a few different dumps of my nand. I get an error message saying "a problem has occured...please refer to the manual blah, blah," with backups, its quite random, as far as i can recall i have mainly had these messages with different region backups eg. NTSC/U.

    I find myself primarily running NTSC/U stuff on my PAL wii most of the time because of the obvious better output, Full screen, Higher Resolution etc. I run all my NTSC/U Wii originals and backups through HBC and Gecko OS, old fashioned i know, but it suits me. The error message happens on alot of the NTSC/U stuff both Wii and Gamecube games in that region, so what i am getting at is, what is the best way to get complete NTSC/U compatibility on my Wii?

    I think my best bet is to change my PAL Wii into NTSC/U completely and permnently? will Anyregion Changer completely change my PAL Wii to NTSC/U? The only thing i am concerned about with the change is the BBC iplayer channel as this isnt available on the NTSC/U shop channel to download, but am i right in thinking that i would be able to install the PAL wad channel of it, if i changed the region of the wad to region free?

    the next question is can someone explain in very basic steps how i go about the region change from PAL Wii 4.0E to either NTSC/U Wii 4.0U or 4.1U system menu, coz even tho i have nadn backup and bootmii installed i still freak out. I would like all the steps involved, tools that im aware of is eg. this Anyregion Changer for using on the Wii and NUS Downloader for gathering the NTSC/U IOS, but i have used NUSD enough to know exactly what i am doing, so more explanation the better. tx

    the other alternative i'm thinking is looking into the SD card Nand Emulation route? how does this work? would i be able to emulate an NTSC/U Wii Nand? and just run that when i wanna run NTSC/U stuff? or would my first option still be better as like i said, i mainly use NTSC/U stuff, followed secondly by PAL stuff.
     
  6. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    u can use modmii to resoftmod your wii, then after doing that u can use ModMii's region changing wizard
     
  7. So Solid Jedi

    Newcomer So Solid Jedi Member

    Joined:
    Jul 16, 2007
    Messages:
    28
    Location:
    London, UK
    Country:
    United Kingdom
    Okay, is this the best way to go do u think? Can you offer the steps that i need to take? How is ModMii's region changing wizard? Is it the same as Toner's AnyRegion Changer? Is it better? safer? more regarded? There's not much made of AnyRegion Changer accept that alots said about how it can easily brick Wii's.
     
  8. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    everything is explained in modmii's custom guides, I cannot say anything more that is not in modmii already (I've put pretty much all my knowledge into it)
     
  9. So Solid Jedi

    Newcomer So Solid Jedi Member

    Joined:
    Jul 16, 2007
    Messages:
    28
    Location:
    London, UK
    Country:
    United Kingdom
    i can't help but feel that my wii's dvd drive is a bit crap, but then if it was really getting fulty it would cause problems on my PAL Original games aswell and as far as i can recall ive never had an error message with them, its just NTSC Originals and Backups both Wii and GC which have thrown the errors because its so random it doesnt give me confidence in using the wii as u really dont need those messages happening half way through a game? :sad: i know i have an option of getting into USB Loaders and stuff which would possibly give me less hassles but havnt had the time to look into this and getting a suitable Hdd formatted and stuff, plus u are kind of limited at storage at 2.5" size hdd's at the moment, so i need a fix for right now + i dont like seeing my hardmod go to waiste.
     
  10. So Solid Jedi

    Newcomer So Solid Jedi Member

    Joined:
    Jul 16, 2007
    Messages:
    28
    Location:
    London, UK
    Country:
    United Kingdom
    Ok, so i went ahead and had a try at using your ModMii installer for Windows, xFlak, i chose the Region Change option, It completed ok, downloaded all the files etc. I was a little dissapointed that i couldnt have the option of choosing a 4.0U or any below for the Wii System Menu. Obviously, i, personally wouldnt be able to go below 4.0 now unless using a downgrader of some sorts but, let say u are on a lower System Menu, u might not wanna jump to the big 4.x System Menu for whatever reason, it'd be nice if the installer worked for lower system Menu's as well. Going back to what i required, i, personally, was kinda hoping that i could just stay on 4.0 System menu and just change from 4.0E to 4.0U i know there isnt a great deal of difference to 4.0 and 4.1 and that 4.2/4.3 is where a lot of change was made by Ninty and that alot of people see 4.1 as the ideal System Menu to be on. Can someone elaborate what is the differences to 4.0 and 4.1, i heard it was just a bug fix for the WM+ Instruction Video not being replayed eveytime a game which had it was played? is that the only difference?
     
  11. wilsoff

    Member wilsoff GBAtemp Regular

    Joined:
    Dec 29, 2008
    Messages:
    292
    Country:
    United States
    Yes
    Source: http://wiibrew.org/wiki/System_Menu_4.1#Changes
     
  12. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    there are a number reason why lower system menu versions are not supported in ModMii.
    -they are pointless, there is nothing they can do better than 4.1
    -downgrading below 4.0 will brick newer LU64+ Wii's (unless you install IOS60 to the new SM IOS slot, which modmii does to protect noobs in case they decide to manually downgrade after using modmii)
    -4.0 is basically the same 4.1 but with the WM+ fix, so 4.1 is superior to 4.0, no point in supporting 4.0
    -If I were to support other system menu's I would need to support themes for all those SM versions (well I guess I wouldn't HAVE to, but I would want to be consistent). There are currently 4 supported ModMii themes with 3 unique channel effects, so 12 variations of themes. And each theme is offered as a *.csm and as a wad, so that's 24 downloads to support one theme. If I were to support just one extra system menu version I would need to add 24 more downloads for each region, so 24 for 4.0U, another 24 for 4.0E, another 24 for 4.0J and another 24 for 4.0K... for a total of 96 new downloads just to add support for ONE other pointless system menu version.
    -on a somewhat related point, upgrading to 4.2 or 4.3 on a Wii that was original Korean but region changed will 003 brick unless IOS60 is installed to slot 70/80 respectively (which ModMii does).

    If 4.0 wasn't pointless I'd consider putting in the effort, but it is pointless so frankly I just don't care. The only reason some people don't want to update to 4.1 is because they are misinformed or uninformed.
     
    1 person likes this.
  13. So Solid Jedi

    Newcomer So Solid Jedi Member

    Joined:
    Jul 16, 2007
    Messages:
    28
    Location:
    London, UK
    Country:
    United Kingdom
    Ok, thanks for explaining, i'm now a little clearer, i will probably go ahead and change my PAL 4.0E Wii to NTSC/U 4.1U Wii, or failing that i might look into the Nand Emulation.
     

Share This Page